<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:ignore="MissingDefaultResource">

    <LinearLayout
        android:id="@+id/class_video_item_videoview_container"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_centerInParent="true"
        android:orientation="horizontal" />


    <TextView
        android:id="@+id/class_tv_video_item_role"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignLeft="@id/class_video_item_videoview_container"
        android:layout_margin="@dimen/class_item_video_list_role_margin"
        android:background="@drawable/member_list_role_assistant_bg"
        android:gravity="center"
        android:padding="@dimen/class_item_video_list_role_padding"
        android:textColor="@color/white"
        android:textSize="@dimen/class_item_video_list_role_text_size"
        android:visibility="gone" />


    <TextView
        android:id="@+id/class_tv_video_item_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignLeft="@id/class_video_item_videoview_container"
        android:layout_alignBottom="@id/class_video_item_videoview_container"
        android:layout_marginStart="@dimen/dp_13"
        android:layout_marginBottom="@dimen/dp_10"
        android:layout_toStartOf="@id/class_tv_video_item_right_text"
        android:lines="1"
        android:singleLine="true"
        android:text=""
        android:textColor="@color/white"
        android:textSize="@dimen/class_item_video_list_name_text_size" />

    <ImageView
        android:id="@+id/class_tv_video_item_right_text"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignEnd="@id/class_video_item_videoview_container"
        android:layout_alignBottom="@id/class_video_item_videoview_container"
        android:layout_marginStart="@dimen/dp_13"
        android:layout_marginEnd="@dimen/dp_10"
        android:layout_marginBottom="@dimen/dp_10"
        android:lines="1"
        android:singleLine="true"
        android:visibility="gone"
        android:text="已举手"
        android:paddingStart="@dimen/dp_5"
        android:paddingEnd="@dimen/dp_5"
        android:textColor="@color/white"
        android:src="@drawable/ic_live_student_hands_up"
        android:textSize="@dimen/dp_14"/>

    <TextView
        android:id="@+id/class_tv_video_item_content"
        android:layout_width="@dimen/class_item_video_list_content_width"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:layout_margin="@dimen/class_item_video_list_name_margin"
        android:gravity="center"
        android:textColor="@color/white"
        android:textSize="@dimen/class_item_video_list_content_text_size"
        android:visibility="gone" />

    <com.daya.live_teaching.widget.OperateButtonGroupView
        android:id="@+id/btn_operate_view"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentEnd="true"
        android:layout_alignParentBottom="true"
        android:layout_marginEnd="@dimen/dp_10"
        android:layout_marginBottom="@dimen/dp_11"
        android:gravity="right"
        android:orientation="horizontal" />

</RelativeLayout>